searchNodes=[{"ref":"Swiss.html","title":"Swiss","type":"module","doc":"Swiss Swiss is a bundle of extensions to the standard lib. It includes several helper functions for dealing with standard types. Examples iex&gt; Swiss.String.kebab_case(&quot;Patat Special&quot;) &quot;patat-special&quot; iex&gt; Swiss.DateTime.second_utc_now() #DateTime&lt;2019-10-10 10:20:46Z&gt; API The root module has no functions; check each sub-module&#39;s docs for each type&#39;s API."},{"ref":"Swiss.DateTime.html","title":"Swiss.DateTime","type":"module","doc":""},{"ref":"Swiss.DateTime.html#second_utc_now/0","title":"Swiss.DateTime.second_utc_now/0","type":"function","doc":"Helper method for getting &quot;now&quot; with second precision."},{"ref":"Swiss.Enum.html","title":"Swiss.Enum","type":"module","doc":"A few extra functions for dealing with Enums."},{"ref":"Swiss.Enum.html#thru/2","title":"Swiss.Enum.thru/2","type":"function","doc":"Applies cb to all elements in enum, ignores the return and returns enum. Examples iex&gt; Swiss.Enum.thru([1, 2, 3], fn a -&gt; a + 1 end) [1, 2, 3]"},{"ref":"Swiss.Map.html","title":"Swiss.Map","type":"module","doc":"A few extra functions to deal with Maps."},{"ref":"Swiss.Map.html#from_struct/1","title":"Swiss.Map.from_struct/1","type":"function","doc":"Wrapper around Map.from_struct/1 that tolerates nil. Examples iex&gt; Swiss.Map.from_struct(nil) nil iex&gt; Swiss.Map.from_struct(%{__struct__: SomeStruct, life: 42}) %{life: 42}"},{"ref":"Swiss.Map.html#to_string_keys/1","title":"Swiss.Map.to_string_keys/1","type":"function","doc":"Converts an atom-keyed map into a string-keyed map. Examples iex&gt; Swiss.Map.to_string_keys(%{life: 42}) %{&quot;life&quot; =&gt; 42} iex&gt; Swiss.Map.to_string_keys(%{&quot;life&quot; =&gt; 42, death: 27}) %{&quot;life&quot; =&gt; 42, &quot;death&quot; =&gt; 27}"},{"ref":"Swiss.String.html","title":"Swiss.String","type":"module","doc":"A few extra functions to deal with Strings. Heavily inspired by lodash."},{"ref":"Swiss.String.html#deburr/1","title":"Swiss.String.deburr/1","type":"function","doc":"Deburrs a string from unicode to its ascii equivalent. Examples iex&gt; Swiss.String.deburr &quot;hola señor!&quot; &quot;hola senor!&quot;"},{"ref":"Swiss.String.html#kebab_case/1","title":"Swiss.String.kebab_case/1","type":"function","doc":"Converts a string into kebab-case. Examples iex&gt; Swiss.String.kebab_case &quot;Foo Bar&quot; &quot;foo-bar&quot; iex&gt; Swiss.String.kebab_case &quot;--foo-bar--&quot; &quot;foo-bar&quot; iex&gt; Swiss.String.kebab_case &quot;__FOO_BAR__&quot; &quot;foo-bar&quot; iex&gt; Swiss.String.kebab_case &quot;FooBar&quot; &quot;foo-bar&quot;"},{"ref":"Swiss.String.html#snake_case/1","title":"Swiss.String.snake_case/1","type":"function","doc":"Converts a string into snake_case. Examples iex&gt; Swiss.String.snake_case &quot;Foo Bar&quot; &quot;foo_bar&quot; iex&gt; Swiss.String.snake_case &quot;--foo-bar--&quot; &quot;foo_bar&quot; iex&gt; Swiss.String.snake_case &quot;__FOO_BAR__&quot; &quot;foo_bar&quot;"},{"ref":"Swiss.String.html#words/2","title":"Swiss.String.words/2","type":"function","doc":"Decomposes a string into an array of its words. Examples iex&gt; Swiss.String.words &quot;FredBarney&quot; [&quot;Fred&quot;, &quot;Barney&quot;] iex&gt; Swiss.String.words &quot;fred, barney, &amp; pebbles&quot; [&quot;fred&quot;, &quot;barney&quot;, &quot;pebbles&quot;] iex&gt; Swiss.String.words &quot;fred, barney, &amp; pebbles&quot;, ~r/[^, ]+/ [&quot;fred&quot;, &quot;barney&quot;, &quot;&amp;&quot;, &quot;pebbles&quot;]"},{"ref":"Swiss.Struct.html","title":"Swiss.Struct","type":"module","doc":"A few extra fuctions to work with Structs."},{"ref":"Swiss.Struct.html#to_params_map/1","title":"Swiss.Struct.to_params_map/1","type":"function","doc":"Converts a struct into a string-key map (eg: params from post). Examples iex&gt; Swiss.Struct.to_params_map(%Swiss.TestStruct{life: 42}) %{&quot;life&quot; =&gt; 42}"},{"ref":"Swiss.Task.html","title":"Swiss.Task","type":"module","doc":"Functions for writing async code that&#39;s testable asynchronously. You should import this module and use its macros as a DSL. Right now it only makes sense to use this module if you&#39;re using Ecto&#39;s Sandbox adapter. Example defmodule YourProject.Task do import Swiss.Task async YourProject.Repo end defmodule YourProject.SomeModule do def some_async_function do YourProject.Task.async(fn -&gt; end) end end"},{"ref":"Swiss.Task.html#async/1","title":"Swiss.Task.async/1","type":"macro","doc":"Call this macro from your projects Task module to declare an async function that, in a test environment, allows the async process to use the caller&#39;s Ecto connection. In other envs this delegates to the Elixir.Task/1 function."}]